# always

abstract fun <P : FlowParameters?> always(action: Class<out FlowAction<P>>, configure: Action<in FlowActionSpec<P>>): FlowScope.Registration<P>

Registers a dataflow action that's always part of the dataflow graph.

#### Return

a Registration object representing the registered action.

#### Parameters

action

the dataflow action type.

configure

configuration for the given dataflow action parameters.

<P>

the parameters defined by the given dataflow action type.